------------------------------------------------------------------------------------
--Name:  	xiaolong1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(376, 419)
CppScriptMgr:NpcCallOut("This Peach Village is home to Kunpeng and some saints.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
local npc_0 = CppScriptMgr:AddSimplePlayer(1055977, 375, 405, "", 0, 0)
npc_0:SetDir(7)
npc_0:SetZoomPercent(150)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056027, 361, 592, "", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
local Player_2 = CppScriptMgr:AddSimplePlayer(1056220, 565, 524, "", 0, 0)
Player_2:SetDir(7)
Player_2:SetZoomPercent(150)
local Player_3 = CppScriptMgr:AddSimplePlayer(1056230, 401, 235, "", 0, 0)
Player_3:SetDir(7)
Player_3:SetZoomPercent(150)
local npc_1 = CppScriptMgr:AddSimplePlayer(17590, 373, 416, "", 0, 0)
npc_1:SetHide(1)
npc_1:SetFrameInterval(20)
CppScriptMgr:WaitMilSec(500)
npc_1:SetCtrlMapView(1)
npc_1:RunTo(373, 404)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Therefore, this quaint village is a sacred place for Dragon Warriors.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(910)
local effect_0 = CppScriptMgr:AddEffect("lxljx_kp_skill1", 372, 402, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1090)
CppScriptMgr:NpcCallOut("Kunpeng is one of the divine beasts. This giant beast can transform into a bird or fish.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
npc_0:SetAction(101)
npc_1:SetCtrlMapView(0)
CppScriptMgr:WaitMilSec(2000)
npc_1:SetPos(366, 595)
CppScriptMgr:SetViewPosByCell(366, 595)
npc_1:SetCtrlMapView(1)
npc_1:RunTo(360, 589)
CppScriptMgr:WaitMilSec(550)
local effect_1 = CppScriptMgr:AddEffect("lxljx_sn_skil1", 360, 589, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(120)
CppScriptMgr:NpcCallOut("Bamboos dance with the wind. This bamboo forest is the quiet residence of many beasts.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(1270)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1020)
CppScriptMgr:NpcCallOut("Suanni doesn`t like to be disturbed and loves watching fireworks.", 1800, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
npc_1:SetCtrlMapView(0)
CppScriptMgr:WaitMilSec(2830)
local effect_2 = CppScriptMgr:AddEffect("Ren_JMBJ", 554, 513, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("100wp_yanjiang", 554, 513, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(180)
CppScriptMgr:SetViewPosByCell(557, 543)
CppScriptMgr:NpcCallOut("Phoenix Trees in the Phoenix Forest rear into the clouds. It is where Phoenix perches.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
npc_1:SetPos(550, 519)
npc_1:SetCtrlMapView(1)
npc_1:RunTo(555, 514)
CppScriptMgr:WaitMilSec(2140)
npc_1:SetCtrlMapView(0)
CppScriptMgr:WaitMilSec(620)
CppScriptMgr:NpcCallOut("Phoenix is noble and lofty, so it only perches on Phoenix Trees.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(270)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(3550)
CppScriptMgr:SetViewPosByCell(390, 233)
CppScriptMgr:WaitMilSec(230)
npc_1:SetPos(390, 233)
npc_1:SetCtrlMapView(1)
local effect_4 = CppScriptMgr:AddEffect("Attack35r", 398, 232, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("XRMode_Strike", 398, 232, 33, 1, 1, 1)
effect_5:Scale(2, 2, 2)
npc_1:RunTo(394, 229)
CppScriptMgr:WaitMilSec(920)
CppScriptMgr:NpcCallOut("Mt. Qingqiu, a place with fragrant grass and bright flowers, is the home of Nine-tailed Fox.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(2080)
CppScriptMgr:NpcCallOut("There are hundreds of kinds of grass growing here. It is said they will benefit your skin.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(2870)
CppScriptMgr:NpcCallOut("Nine-tailed Fox is born cunning and suspicious. But to those it trusts, it is very sincere.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(4280)